package com.weface.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.weface.entity.UserMenusEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 用户和标签中间表
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2021-11-18 16:20:52
 */
@Mapper
public interface UserMenusDao extends BaseMapper<UserMenusEntity> {

    //批量插入
    int batchInsert(List<UserMenusEntity> list);

    //根据uid查询标签id
    List<Long> findIdByUserId(List<String> list);

}
